Package org.jcsp.lang

# Class AltingChannelAccept

java.lang.Object
org.jcsp.lang.Guard
org.jcsp.lang.AltingChannelAccept

All Implemented Interfaces:
  `ChannelAccept`

Direct Known Subclasses:
  `Any2OneCallChannel`, `One2OneCallChannel`

public abstract class AltingChannelAccept extends Guard implements ChannelAccept
This extends `Guard` and `ChannelAccept` to enable a process to choose between many CALL channel (and other) events.

## Description

`AltingChannelAccept` extends `Guard` and `ChannelAccept` to enable a process to choose between many CALL channel (and other) events. The methods inherited from `Guard` are of no concern to users of this package.

## Example

See the explanations and examples documented in `One2OneCallChannel` and `Any2OneCallChannel`.

Author:
  P.H. Welch
See Also:
  - `Alternative`
  - `One2OneCallChannel`
  - `Any2OneCallChannel`

## Constructor Summary

Constructors
Constructor
Description
`AltingChannelAccept()`

## Method Summary

### Methods inherited from class org.jcsp.lang.Guard

`schedule`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jcsp.lang.ChannelAccept

`accept`

## Constructor Details

### AltingChannelAccept

public AltingChannelAccept()